0
Not a Bug

Internal Deserialization Error on Android IL2CPP Build

Gley Games 4 months ago updated by Lazlo Bonin (Lead Developer) 2 months ago 9

Hello,

First of all, thank you for your easy to use plugin, but i`ve found an issue with android builds.

I am using Unity 2019.2.6 and here is my simple setup:

setup.JPG



When i run this on my device I get deserialization error. Please see the attached log from my device:

Is it Bolt compatible with Unity 2019.2 or I should use an older version of Unity?
Are there some special settings i`ve missed before building the project?

I want to mention that I am using IL2CPP for build.

Thank you for your time.

--


Attachments:
log.txt

Bolt Version:
1.4.7
Unity Version:
2019.2.6
Platform(s):
Android
Scripting Backend:
IL2CPP
.NET Version (API Compatibility Level):

Hi Gley Games,

I'm sorry you're experiencing this issue and I apologize for the late reply on this. We really appreciate you taking the time to submit a bug report.

To answer your question, the latest version of Bolt does indeed work with Unity 2019. On that note, please provide me with the version of Bolt that you are currently using. Please include the .net version of Bolt and the Unity project (You can find this in Edit > Project Settings > Player Other Settings > Configuration).

We recommend you update to the most stable version, 1.4.7, to benefit from all bug fixes since then. Here is the download link: https://ludiq.io/bolt/download/1.4.7

Kind regards,
Hasan from Ludiq

Hello,

Thank you for your answer, I am using The latest version of Unity and the latest version of Bolt and the problem persists.

Here you can find the complete test project I use to replicate this issue:

(link removed due to it containing Bolt files)

You will find inside the archive a .apk I generated that has the deserialization issue.

Hope this will help you find the issue or tell me what am I doing wrong. Thank you for your time and for your awesome product.

I also want to mention that I am a programmer and an Asset Store publisher and I use Bolt to make tutorials for my assets, so you can provide me more technical information on how to bypass this issue if it is necessary.  

  Regards.

Hello, any news on this?

Hi Gley Games,

Sorry for the delay on this. We changed our methodology for bug triage and it seems like this got ticket slipped between the cracks. I'll get to testing your project this week.

Hi Cley, 

I'm very sorry about this, but it seems we lost your reproduction project files. We had to remove them from the forum because they included the Bolt asset entirely, but we can't find our downloaded version. 

Could you please re-send them in private to support@ludiq.io?

Thanks and sorry again.

Lazlo

Not a Bug

Hi,

I could reproduce the issue. The problem is simply that you did not run Tools > Bolt > AOT Pre-Build before building. Because you are using IL2CPP, like all other AOT platforms, you must run this before building. More information here: https://ludiq.io/bolt/manual/advanced/aot